### Function

# Cogl FenceCallback

#### Declaration

    void
    (* CoglFenceCallback) (
      CoglFence* fence,
      void* user_data
    )

#### Description [src]

The callback prototype used with `cogl_framebuffer_add_fence_callback()` for notification of GPU command completion.

#### Parameters

`fence`

  Type: `CoglFence`

  Unused. In the future this parameter may be used to pass extra information about the fence completion but for now it should be ignored.

  The data is owned by the caller of the function.

`user_data`

  Type: `void*`

  The private data passed to cogl_framebuffer_add_fence_callback().

  The argument can be `NULL`.
  The data is owned by the caller of the function.